August 22, 2016

Intallasi PostgreSQL Error Wrong Number of Index Expressions

Pada tulisan ini penulis akan berbagi tips untuk memperbaiki error "Wrong Number of Index Expressions" saat sedang melakukan installasi postgreSQL database versi 8.1.23 pada sistem operasi Ubuntu Linux 14.04.1 LTS  64 bit.

Installasi dilakukan seperti biasa, atau untuk anda yang belum pernah melakukan installasi databases ini sebelumnya dapat membaca cara install postgreSQL database server pada tulisan sebelumnya, kebetulan disini dilakukan installasi dari source yang berbentuk tar.gz.

Setelah langkah terakhir untuk membuat direktori data dilakukan, maka kita wajib menjalankan perintah initdb (/usr/local/pgsql/bin/initdb -D /usr/local/pgsql/data) untuk membuat file konfigurasi dan database default yang diperlukan oleh postgreSQL, masalah error muncul ketika melakukannya, seperti terlihat dibawah ini (perhatikan tulisan warna merah):

creating directory pgsql/data ... ok
creating subdirectories ... ok
selecting default max_connections ... 100
default shared_buffers/max_fsm_pages ... 24MB/153600
creating configuration files ... ok
creating template1 database in pgsql/data/base/1 ... ok
initializing ... FATAL:  wrong number of index expressions
STATEMENT:CREATE TRIGGER pg_sync_pg_databaseAFTER ...   

pg_database ... flatfile_update_trigger();

child process exited with exit code 1
initdb: removing data directory "pgsql/data"

Selidik punya selidik ternyata error tersebut disebabkan oleh gcc-4.8 atau kompiler yang ada pada bawaan distro Ubuntu Linux 14.04 tidak mengenal ekspresi postgreSQL versi lama yang dipanggil saat installasi akhir, jadi, bawaan versi postgreSQL yang ada pada Ubuntu 14.04 adalah 9.3, sementara yang akan di install adalah postgreSQL versi 8.1.23.

Untuk mengatasinya diperlukan gcc yang dapat mengenal syntax ekspresi pada postgreSQL 8.1.23, dan solusi yang dapat dilakukan adalah dengan melakukan installasi gcc-4.7.

sudo apt-get install gcc-4.7

Setelah selesai melakukan installasi, sobat harus melakukan pengulangan pada saat melakukan proses konfigurasi di awal installasi dengan menjalankan perintah berikut:

./configure CC='gcc-4.7 -m64'

Setelah itu jalankan langkah installasi sampai selesai, error tersebut hilang dan postgreSQL 8.1.23 dapat terinstall pada Ubuntu Linux 14.04.1 LTS.

Terima kasih sudah menyimak, jangan ragu untuk meninggalkan komentar jika ada pertanyaan yang ingin disampaikan, salam ...

referensi : https://brunomgalmeida.wordpress.com/2014/07/03/postgres-fails-with-fatal-wrong-number-of-index-expressions/

Artikel Sponsor:

loading...

No comments:

Post a Comment